function treeify(o) {
	if (typeof(o) == 'object') {
		return Object.fromEntries(Object.keys(o).map(x => [x, treeify(o[x])]));
	} else if (typeof(o) == 'function') {
		return 'function';
	} else if (typeof(o) == 'string' || typeof(o) == 'number') {
		return o;
	}
}
app.setDocument(`<pre style="color:#fff">${JSON.stringify(treeify(globalThis), null, 2)}</pre>`);